Subject: Re: [PATCH v4 1/1] xdp: Sample xdp program implementing ip forward

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 9 Nov 2017 02:38:06 +0100

On Wed, 08 Nov 2017 10:40:24 +0900 (KST)
David Miller <[email-masked]> wrote:

> From: Christina Jacob <[email-masked]>
> Date: Sun,  5 Nov 2017 08:52:30 +0530
> 
> > From: Christina Jacob <[email-masked]>
> > 
> > Implements port to port forwarding with route table and arp table
> > lookup for ipv4 packets using bpf_redirect helper function and
> > lpm_trie  map.
> > 
> > Signed-off-by: Christina Jacob <[email-masked]>  
> 
> Applied to net-next, thank you.

I've not had time to proper test (and review) this V4 patch, but I
guess I'll have to do so when I get home from Seoul...

I especially want to measure the effect of using bpf_redirect_map().
To Christina: what performance improvement did you see on your
board/arch when switching from bpf_redirect() to bpf_redirect_map()?

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer